Subject: bug#22564: Fundamental mode isn't fundamental enough.

From: Drew Adams <[email-masked]>
Date: Fri, 5 Feb 2016 07:36:09 -0800 (PST)

> > I've just tried to paste some text into a fundamental mode buffer, using
> > GNU/Linux's GPM mouse utility.  It gets fouled up by some facility that
> > decides I want some automatic indentation, despite being in fundamental
> > mode.  As far as I understand, GPM does pasting by effectively typing a
> > character at a time.
> 
> You want to turn off electric-indent-mode, I think.
> 
> > This is surely a bug.
> 
> No, it's a deliberate feature, AFAIU.

In Fundamental mode?  Electric anything in Fundamental mode?

Surely someone was not smoking the right stuff at the time
that was decided.